.postitusKarp {
    width: 60%;
    background-color: hsla(0, 0%, 100%, 0.7);
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 2.5em;
}

.allalaadimisKarp {
    display: flex;
    justify-content: flex-end;
    width: 60%;
    margin-left: auto;
    margin-right: auto;
}

.allalaadimisLink {
    width: 4rem;
    padding: 0.5rem;
}


.postitusAndmed {
    margin-bottom: 3em;
}

.postitusAndmed h2 {
    text-transform: uppercase;
    font-size: 1.5em;
    text-align: center;
    margin-bottom: 0.25em;
}

.postitusAlapealkiri1 {
    font-family: titles, fantasy;
    text-align: center;
}

.postitusAlapealkiri2 {
    letter-spacing: initial;
    line-height: 1.4em;
    font-weight: bold;
    font-family: "Kelly Slab", serif;
    font-size: 0.8em;
    text-align: center;

    margin-top: 1.5em;
}

.postitusAlapealkiri3 {
    font-weight: normal;
}

.postitus {
    max-width: 40rem;
}

.postitusTekst {
    text-align: justify;
    box-sizing: border-box;
}

.postitusTekst p {
    margin-top: 0;
}

.postitusPilt {
    max-height: 19rem;
    max-width: 100%;
    box-sizing: border-box;
    background-color: white;
    padding: 0.25rem;
    box-shadow: 0 1px 3px rgba(34, 25, 25, 0.4);
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.videoÜmbris {
    text-align: center;
}

.video {
    position: relative;
    overflow: hidden;
    width: 100%;
    height: 100%;
}

.video::after {
    display: block;
    content: "";
    padding-top: 56.25%;
}

.video iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.koodiKast {
    overflow: auto;
}

.koodiKast pre {
    margin-bottom: 0;
}

.tsitaat {
    font-family: "Kelly Slab", serif;
    font-size: 0.7em;
    padding-left: 1em;
    padding-right: 1em;
    letter-spacing: initial;
    text-align: center;
}

.häguneTekst {
    font-size: 0.8em;
    font-style: italic;
    color: hsl(0, 0%, 50%);
}

.viide {
    font-style: italic;
    text-align: left;
}

.kommentaar {
    font-family: "Kelly Slab", serif;
    font-size: 0.85em;
}


.hinnang {
    text-align: center;
    font-family: "Kelly Slab", serif;
    font-weight: bold;
    margin-top: 2em;
    margin-bottom: 4em;
}

.postitusLõpp {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(3, auto);
    align-items: center;
    height: 8.5rem;
    padding-top: 2.5em;
}

.navigeeriVasakule {
    justify-self: start;
}

.hõljuVasakule:hover {
    transform: translateX(-1rem);
}

.navigeeriÜles {
    justify-self: center;
}

.hõljuÜles:hover {
    transform: translateY(-1rem);
}

.navigeeriParemale {
    justify-self: end;
}

.hõljuParemale:hover {
    transform: translateX(1rem);
}

.navigeerimisIkoon {
    display: block;
    width: 3rem;
    opacity: 0.75;
    transition: 0.3s;
}

.navigeerimisIkoon:hover {
    opacity: 1;
}

@media screen and (max-width: 1280px) {
    .postitusKarp {
        width: 90%;
        padding-left: 1em;
        padding-right: 1em;
    }

    .allalaadimisKarp {
        width: 90%;
    }

}

@media screen and (max-width: 800px) {
    .postitus {
        grid-template-columns: auto;
    }

    .kirjeldusTekst {
        margin-bottom: 2.5em;
    }

    .allalaadimisKarp {
        justify-content: space-between;
    }
}